Name:           vdr-epg2vdr
Version:        0.3.47
Release:        1%{?dist}
Summary:        A plugin to retrieve EPG data from a mysql database into VDR

Group:          Applications/Multimedia
License:        GPL+
URL:            http://projects.vdr-developer.org/git/vdr-plugin-epg2vdr.git
Source0:        https://projects.vdr-developer.org/git/vdr-plugin-epg2vdr.git/snapshot/vdr-plugin-epg2vdr-%{version}.tar.bz2

BuildRequires:  sqlite-devel
BuildRequires:  openssl-devel
BuildRequires:  mariadb-devel
BuildRequires:  libuuid-devel
BuildRequires:  libcurl-devel
BuildRequires:  libxslt-devel
BuildRequires:  libxml2-devel
BuildRequires:  libjpeg-turbo-devel
BuildRequires:  imlib2-devel
BuildRequires:  vdr-devel >= 1.7.36
BuildRequires:  python-devel
BuildRequires:  jansson-devel
BuildRequires:  libarchive-devel
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

%description 
This plugin is used to retrieve EPG data into the VDR. The EPG data 
was loaded from a mysql database. 

 
%prep
%setup -qn vdr-plugin-epg2vdr-%{version}
iconv -f iso-8859-1 -t utf-8 README > README.utf8 ; mv README.utf8 README

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
make %{?_smp_mflags} all

%install
%make_install
# fix the perm
chmod 0755 %{buildroot}/%{vdr_plugindir}/libvdr-*.so.%{vdr_apiversion}

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc HISTORY* README*
%config(noreplace) %{vdr_configdir}/plugins/epg2vdr/epg.dat
%{vdr_plugindir}/libvdr-*.so.%{vdr_apiversion}

%changelog
* Sun Mar 27 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.3.47-1
- Update to 0.3.47
- Added BR python-devel
- Added BR jansson-devel
- Added BR libarchive-devel

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.13-7.20150203gitb2fe603
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 12 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.1.13-6.20151112gitb2fe603
- rebuild for new git release

* Wed Oct 21 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.1.13-5.20151021gitec38f0c
- rebuild for new git release

* Tue Oct 20 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.1.13-4.20151020git87802bc
- rebuild for new git release

* Sun Oct 11 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.1.13-3.20151011git0500f75
- rebuild for new git release

* Sat Oct 10 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.1.13-2.20151010git4906742
- rebuild for new git release

* Fri Oct 09 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.1.13-1.20151009git9add629
- Update to 0.1.13

* Sun Aug 30 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.1.12-4.20150203git5776628
- Rebuilt

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.1.12-3.20150203git5776628
- Rebuilt for GCC 5 C++11 ABI change

* Thu Feb 19 2015 Ville Skyttä <ville.skytta@iki.fi> - 0.1.12-2.20150203git5776628
- Rebuild

* Tue Feb 03 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.1.12-1.20150203git5776628
- Update to 0.1.12
- Mark license files as %%license where available

* Thu Jan 01 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.1.11-1.20141228git45ae8b4
- Update to 0.1.11

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.10-6.20140612git9b92181
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 12 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.10-5.20140612git9b92181
- rebuild for new git release

* Mon May 26 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.10-4.20140526gitd264ad8
- rebuild for new git release

* Fri May 16 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.10-3.20140516gita569a6e
- rebuild for new git release

* Thu May 15 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.10-2.20140515gitcaeef79
- rebuild for new git release

* Tue May 13 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.10-1.20140513git9479831
- rebuild for new git release 0.1.10

* Sat May 10 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.9-1.20140510gitd8382ba
- rebuild for new git release
- added Fedora %%optflags for CFLAGS and CXXFLAGS
- Add BR libcurl-devel
- Add BR libxslt-devel
- Add BR libxml2-devel
- Add BR libjpeg-turbo-devel
- Add BR imlib2-devel

* Wed May 07 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.8-1.20140507git866f08d
- rebuild for new git release

* Sat May 03 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.0-5.20130322git324f392
- fixed description

* Fri May 02 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.0-4.20130322git324f392
- Fix patch path
- Fix bogus date in %%changelog
- Fix comments

* Thu May 01 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.0-3.20130322git324f392
- added permission fix to solve unstripped-binary-or-object warning

* Fri Apr 25 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.0-2.20130322git324f392
- corrected version numbering in %%changelog
- added CXXFLAGS
- added openssl-devel as requirement
- added mariadb-devel as requirement
- added libuuid-devel as requirement

* Fri Apr 25 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.0-1.20130322git324f392
- rebuild for initial release
